# IAX2FullFrameVideo Class Reference

`#include <frame.h>`

Inheritance diagram for IAX2FullFrameVideo:

[legend]
Collaboration diagram for IAX2FullFrameVideo:
[legend]

## Public Types

| jpeg = 0x10000
| png = 0x20000
| h261 = 0x40000
| h263 = 0x80000
enum | VideoSc { jpeg = 0x10000, png = 0x20000, h261 = 0x40000, h263 = 0x80000 }

## Public Member Functions

| IAX2FullFrameVideo (const IAX2Frame &srcFrame)
| IAX2FullFrameVideo (const IAX2FullFrame &srcFrame)
virtual PString | GetSubClassName () const
virtual BYTE | GetFullFrameType ()

## Detailed Description

Used for transmitting video packets in a relaible fashion. Typically, one is sent at the start of the call, and then at regular intervals in the call to keep the timestamps in sync.

The contents the data section is compressed video.

## Member Enumeration Documentation

enum IAX2FullFrameVideo::VideoSc

enum comtaining the possible (uncompressed) subclass value for these video frames

Enumerator:

  jpeg | Jpeg video format in this frame
  png | PNG video format in this frame
  h261 | H.261 video format in this frame
  h263 | H.263 video format in this frame

## Constructor & Destructor Documentation

IAX2FullFrameVideo::IAX2FullFrameVideo | ( | const IAX2Frame & | srcFrame | ) |

Construction from a supplied dataframe. In this case, this class is filled from an incoming data packet

IAX2FullFrameVideo::IAX2FullFrameVideo | ( | const IAX2FullFrame & | srcFrame | ) |

Construction from a supplied dataframe. In this case, this class is filled from an incoming data packet

## Member Function Documentation

virtual BYTE IAX2FullFrameVideo::GetFullFrameType | ( |  | ) | `[inline, virtual]`

Return the FullFrame type represented here (voice, protocol, session etc

Reimplemented from IAX2FullFrame.

virtual PString IAX2FullFrameVideo::GetSubClassName | ( |  | ) | const`[virtual]`

Get text description of the subclass contents

Reimplemented from IAX2FullFrame.

The documentation for this class was generated from the following file:

- frame.h